<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * * * The content below * * * * * * * * * * * -->
<!-- * * * * * * * * * * is only a placeholder * * * * * * * * * * -->
<!-- * * * * * * * * * * and can be replaced. * * * * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * Delete the template below * * * * * * * * * * -->
<!-- * * * * * * * to get started with your project! * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->

<link rel="apple-touch-icon" href="./assets/icons/icon-96x96.png">
<meta name="apple-mobile-web-app-status-bar" content="#aa7700">

<div class="container p-4">
  <div class="row">
    <div class="col-md-4">
      <div class="car card-body">
        <svg id="rocket" alt="Rocket Ship" xmlns="http://www.w3.org/2000/svg" class="mx-auto" width="300" height="300" viewBox="0 0 101.678 101.678">
          <g id="Group_83" data-name="Group 83" transform="translate(-141 -696)">
            <circle id="Ellipse_8" data-name="Ellipse 8" cx="50.839" cy="50.839" r="50.839" transform="translate(141 696)" fill="#dd0031"/>
            <g id="Group_47" data-name="Group 47" transform="translate(165.185 720.185)">
              <path id="Path_33" data-name="Path 33" d="M3.4,42.615a3.084,3.084,0,0,0,3.553,3.553,21.419,21.419,0,0,0,12.215-6.107L9.511,30.4A21.419,21.419,0,0,0,3.4,42.615Z" transform="translate(0.371 3.363)" fill="#fff"/>
              <path id="Path_34" data-name="Path 34" d="M53.3,3.221A3.09,3.09,0,0,0,50.081,0,48.227,48.227,0,0,0,18.322,13.437c-6-1.666-14.991-1.221-18.322,7.218A33.892,33.892,0,0,1,9.439,25.1l-.333.666a3.013,3.013,0,0,0,.555,3.553L23.985,43.641a2.9,2.9,0,0,0,3.553.555l.666-.333A33.892,33.892,0,0,1,32.647,53.3c8.55-3.664,8.884-12.326,7.218-18.322A48.227,48.227,0,0,0,53.3,3.221ZM34.424,9.772a6.439,6.439,0,1,1,9.106,9.106,6.368,6.368,0,0,1-9.106,0A6.467,6.467,0,0,1,34.424,9.772Z" transform="translate(0 0.005)" fill="#fff"/>
            </g>
          </g>
        </svg>
        <form #userform="ngForm"(ngSubmit)="submitLocation(lat,lon,units)">
          <div class="form-grop">
          <input type="number" name="latitud" class="form-control" placeholder="Latitud" #lat="ngModel" [(ngModel)]="unit.lat">       
        </div>
          <div class="form-group">
          <input type="number" name="longitud" class="form-control" placeholder="Longitud" #lon="ngModel"[(ngModel)]="unit.lon">
         </div>
         <div class="radio-group">
         <label class="radio-btn" >
          <input class="radiobutton" type="radio" name="metric" value="metric" #units="ngModel" [(ngModel)]="unit.metric"  >Celsius
          
          </label>
          <label class="radio-btn">
          <input class="radiobutton" type="radio" name="imperial" value="imperial" #units="ngModel" [(ngModel)]="unit.metric" >Fahrenheit
          
        </label>
        </div>  
        <button class="btn"  mat-raised-button>Obtener el clima</button>
        
        </form>
        <div class="card mb-2" style="margin-top:10px;">
          <div class="card-header d-flex justify-content-between align-item-center">
          últimos datos guardados
          </div>
          <div class="card-body" >
          
          <p class="text-center"*ngIf="clima!=null" >Latitud:{{clima.lat}}</p>
          <p class="text-center"*ngIf="clima!=null">Longitud:{{clima.lon}}</p>
          <div>
          
          </div>
          </div>
          
          </div> 
      </div>
    </div>
    <div  class="col-md-6">
       <div id="data" *ngIf="weather" class="card card-body">
         <div class="place">
           <span   class="temp"><img id="imag" src="../assets/{{weather.weather[0].icon}}.png" alt="weather"> 
            </span>
            

        </div>
        <p id="paragraph" class="text-center">Ciudad: {{weather.name}}</p>
        <p id="paragraph" class="text-center">Temperatura: {{weather.main.temp}}</p>
        <p id="paragraph" class="text-center">Sensación térmica: {{weather.main.feels_like}}</p>
        <p id="paragraph" class="text-center">Humedad: {{weather.main.humidity}}</p>
        <p id="paragraph" class="text-center">Clima: {{weather.weather[0].description}}</p>
      </div> 
      
    </div>
  </div>
   
 <!-- <app-dataweather  [clima]="clima.metric" [latitud]="clima.lat" [longitud]="clima.lon"></app-dataweather>  -->



<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * * * The content above * * * * * * * * * * * -->
<!-- * * * * * * * * * * is only a placeholder * * * * * * * * * * -->
<!-- * * * * * * * * * * and can be replaced. * * * * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->
<!-- * * * * * * * * * * End of Placeholder * * * * * * * * * * * -->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * -->



<router-outlet></router-outlet>